package org.ow2.opensuit.xmlmap.interfaces;

/**
 * This interface allows instantiating an XML document with
 * external context (providing external ancestors)
 * 
 * @author psmeyers
 */
public interface IInstantiationContext
{
	/**
	 * Returns the ancestor object from class.
	 * @param type the ancsetor class
	 * @return the ancestor object
	 */
	Object getAncestor(Class type);
}
